/*
 * Class ARRAYED_LIST [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1699 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1699 [] = {0xFF01,1551,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1699 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1699 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1699 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1699 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1699 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1699 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1699 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1699 [] = {1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1699 [] = {0xFF01,1691,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1699 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1699 [] = {0xFF01,1685,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1699 [] = {0xFF01,1686,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1699 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1699 [] = {0xFF01,1685,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1699 [] = {0xFF01,1690,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1699 [] = {0xFF01,1698,863,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1699 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1699 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1699 [] = {0xFF01,1698,863,0xFFFF};


static const struct desc_info desc_1699[] = {
	{EIF_GENERIC(NULL), 14003, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1699), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1699), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1699), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14054, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1699), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1699), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1699), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1699), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1699), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1699), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1699), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1699), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1699), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1699), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1699), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8614, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1699), 8798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1699), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9403, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1699), 14008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9253, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12076, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14013, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1699), 8791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14036, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1699), 14009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1699), 12080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14030, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1699), 14008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12088, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14020, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1699), 14011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1699), 14012, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12086, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12087, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12089, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12090, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1699), 13998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12375, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13995, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1699), 10439, 0},
	{EIF_GENERIC(NULL), 10432, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10433, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1699), 10434, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1699), 10435, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10437, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10438, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1699), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9361, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9406, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9402, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9404, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14053, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1699), 11012, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1699), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12379, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1699), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14006, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1699), 14007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_1699), 14016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14023, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14024, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14000, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1699), 14002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14013, 8},
	{EIF_GENERIC(egt_34_1699), 14009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1699), 14010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1699), 14014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 14025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13993, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13994, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1699), 13999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14050, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1699(void)
{
	IDSC(desc_1699, 0, 1698);
	IDSC(desc_1699 + 1, 1, 1698);
	IDSC(desc_1699 + 32, 1134, 1698);
	IDSC(desc_1699 + 41, 1395, 1698);
	IDSC(desc_1699 + 43, 1060, 1698);
	IDSC(desc_1699 + 49, 1444, 1698);
	IDSC(desc_1699 + 58, 1570, 1698);
	IDSC(desc_1699 + 61, 1534, 1698);
	IDSC(desc_1699 + 68, 636, 1698);
	IDSC(desc_1699 + 82, 1245, 1698);
	IDSC(desc_1699 + 85, 1135, 1698);
	IDSC(desc_1699 + 94, 1422, 1698);
	IDSC(desc_1699 + 103, 878, 1698);
	IDSC(desc_1699 + 104, 586, 1698);
	IDSC(desc_1699 + 110, 1088, 1698);
	IDSC(desc_1699 + 112, 778, 1698);
	IDSC(desc_1699 + 113, 658, 1698);
	IDSC(desc_1699 + 114, 617, 1698);
	IDSC(desc_1699 + 116, 288, 1698);
	IDSC(desc_1699 + 131, 916, 1698);
	IDSC(desc_1699 + 137, 254, 1698);
	IDSC(desc_1699 + 140, 554, 1698);
	IDSC(desc_1699 + 141, 340, 1698);
	IDSC(desc_1699 + 149, 387, 1698);
	IDSC(desc_1699 + 151, 794, 1698);
}


#ifdef __cplusplus
}
#endif
